package com.yonge.cooleshow.biz.dal.dto.search;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yonge.cooleshow.biz.dal.enums.InOrOutEnum;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022-08-17 16:28:03
 */
@ApiModel(value = "ActivityRewardChangeStockSearch对象", description = "活动奖品库存调整记录表查询对象")
public class ActivityRewardChangeStockSearch extends QueryInfo{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "变更来源：ADMIN 后台调整 ACTIVITY 活动分配 ",hidden = true)
	private String source;

	@ApiModelProperty(value = "奖品id ")
	private Long rewardId;

	@ApiModelProperty("调整类型： IN 增加 OUT 减少 ")
	private InOrOutEnum changeType;

	@ApiModelProperty(value = "操作人")
	private String updateByName;

	@ApiModelProperty(value = "活动开始时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date startTime;

	@ApiModelProperty(value = "活动结束时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date endTime;

	public Long getRewardId() {
		return rewardId;
	}

	public void setRewardId(Long rewardId) {
		this.rewardId = rewardId;
	}

	public InOrOutEnum getChangeType() {
		return changeType;
	}

	public void setChangeType(InOrOutEnum changeType) {
		this.changeType = changeType;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public String getUpdateByName() {
		return updateByName;
	}

	public void setUpdateByName(String updateByName) {
		this.updateByName = updateByName;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
}